//JQuery Module Pattern

// An object literal
var app = {
    init: function() {
      app.functionOne();
    },
    functionOne: function () {
    }
  };

  var size = 350;
  function pcsh1() {
    var x = document.getElementById("filter--section");
      x.classList.toggle("filterWrapper_open");
      if (size == 350)
        size = 0;
      else
        size = 350;
      $("#resume-table").width( Math.round( $(window ).width() - size ) ) ;
  }

  function pcsh2() {
    var x = document.getElementById("filter--section");
    if (x.classList.contains("filterWrapper_open")) //
        x.classList.toggle("filterWrapper_open");
        $("#resume-table").width( Math.round( $(window ).width()  ) ) ;
  }


    const popoverTriggerList = document.querySelectorAll('[data-bs-toggle="popover"]')
    const popoverList = [...popoverTriggerList].map(popoverTriggerEl => new bootstrap.Popover(popoverTriggerEl))

    var options = {
      html: true,
      // title: "Optional: HELLO(Will overide the default-the inline title)",
      content: $(".user--profile_menu").html()
  
    }
    var exampleEl = document.getElementById('link-popover')
    var popover = new bootstrap.Popover(exampleEl, options)